VPS侦探论坛

 找回密码
 注册
查看: 137|回复: 1

在运行服务器,PHP安装多版本问题

[复制链接]
发表于 2020-4-14 11:17:47 | 显示全部楼层 |阅读模式



目前服务器在运行中,lnmp1.4版本,想要安装php7.1.7,
sudo ./install.sh mphp 显示的最高版本是 php7.1.7;

想问的是:我直接选择这个最高的版本,会影响其他的项目,目前安装的PHP版本是 7.0.21,运行项目较多,不敢操作

美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2020-4-14 16:25:01 | 显示全部楼层


./install.sh mphp 只是另外在安装一个php,不影响当前的php版本
但是会在安装前停止目前运行的nginx、mysql、php,如果你自己的内存在4GB以上的话可以修改 include/multiplephp.sh 将里面的要升级php版本里的 lnmp stop 删除
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-5-31 17:45 , Processed in 0.042621 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表